Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 640404 - sci-mathematics/pspp-0.10.2 USE=perl - do "pspp-module-config" failed, '.' is no longer in @INC; did you mean do "./pspp-module-config"? at Makefile.PL line 7.
Summary: sci-mathematics/pspp-0.10.2 USE=perl - do "pspp-module-config" failed, '.' is...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Mathematics related packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-09 17:36 UTC by Erik Zeek
Modified: 2019-01-26 01:37 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sci-mathematics:pspp-0.10.2:20171209-165042.log.gz (sci-mathematics:pspp-0.10.2:20171209-165042.log.gz,104.56 KB, application/gzip)
2017-12-09 17:36 UTC, Erik Zeek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Zeek 2017-12-09 17:36:24 UTC
Created attachment 509104 [details]
sci-mathematics:pspp-0.10.2:20171209-165042.log.gz

cd perl-module && /usr/bin/perl Makefile.PL PREFIX=/usr
/bin/sh ./libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -O2 -pipe -ggdb -mtune=native -march=native -release 0.10.2 -Wl,-O1 -Wl,--as-needed -o src/libpspp.la -rpath /usr/lib64/pspp  src/language/liblanguage.la src/math/libpspp-math.la src/output/liboutput.la -lgsl -lm -lreadline -lncurses -lgslcblas -lz -lm  
do "pspp-module-config" failed, '.' is no longer in @INC; did you mean do "./pspp-module-config"? at Makefile.PL line 7.
Enter the location of the build directory of the configured pspp source: [] 
Checking if your kit is complete...
Warning: the following files are missing in your kit:
        const-c.inc
        const-xs.inc
Please inform the author.
Could not open '/src/libpspp/version.c': No such file or directory at /usr/lib64/perl5/5.26.1/ExtUtils/MM_Unix.pm line 2856.
make[3]: *** [Makefile:12540: perl-module/Makefile] Error 2
make[3]: Leaving directory '/gentoo/tmp/portage/sci-mathematics/pspp-0.10.2/work/pspp-0.10.2'
make[2]: *** [Makefile:12549: perl_module_tarball] Error 2
make[2]: *** Waiting for unfinished jobs....

emerge --info '=sci-mathematics/pspp-0.10.2::gentoo'
Portage 2.3.17 (python 3.5.4-final-0, default/linux/amd64/17.0/desktop/plasma/systemd, gcc-7.2.0, glibc-2.26-r3, 4.14.4-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.14.4-gentoo-x86_64-AMD_Phenom-tm-_II_X6_1055T_Processor-with-gentoo-2.4.1
KiB Mem:    16323112 total,   1644368 free
KiB Swap:    6290424 total,   6281708 free
Timestamp of repository gentoo: Sat, 09 Dec 2017 16:30:01 +0000
Head commit of repository gentoo: 3950fd10a46b156e5aac8f91fca4922976b96495
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
ccache version 3.3.4 [disabled]
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.26.1-r1::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo, 3.6.3-r1::gentoo
dev-util/ccache:          3.3.4-r1::gentoo
dev-util/cmake:           3.10.0::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            7.2.0::gentoo
sys-devel/gcc-config:     1.9.0-r1::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r3::gentoo
Repositories:

gentoo
    location: /gentoo/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: -i --no-p --omit-dir-times

grub2-themes
    location: /gentoo/local/layman/grub2-themes
    sync-type: laymansync
    sync-uri: https://github.com/gentoo/grub2-themes-overlay.git
    masters: gentoo
    priority: 50

kde
    location: /gentoo/local/layman/kde
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/kde.git
    masters: gentoo
    priority: 50

science
    location: /gentoo/local/layman/science
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/sci.git
    masters: gentoo
    priority: 50

steam-overlay
    location: /gentoo/local/layman/steam-overlay
    sync-type: laymansync
    sync-uri: git://github.com/anyc/steam-overlay.git
    masters: gentoo
    priority: 50

x11
    location: /gentoo/local/layman/x11
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/x11
    masters: gentoo
    priority: 50

zeekec
    location: /gentoo/local/portage
    masters: gentoo
    priority: 100

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -ggdb -mtune=native -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -ggdb -mtune=native -march=native"
DISTDIR="/gentoo/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going -j 3 --rebuild-if-new-slot=y --backtrack=30"
FCFLAGS="-O2 -pipe -ggdb -mtune=native -march=native"
FEATURES="assume-digests binpkg-logs candy cgroup clean-logs collision-protect compress-build-logs config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync multilib-strict news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe -ggdb -mtune=native -march=native"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8 --load-average=18"
PKGDIR="/gentoo/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="-i --no-p --omit-dir-times"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/gentoo/tmp"
USE="3dnow R S3TC X a52 aac aacplus aacs aalib accessibility acpi activities additions addressbook aesicm aften aimodules airplay alevt alisp all_sfx alsa amd64 amr amrenc anacron ancient android animgif ansi ant ao apache apache2 apm app archive armadillo atm attica audiofile audit auth auto-completion autoipd autotools avahi ayatana baremetal bash-completion bazaar bcmath bdf berkdb bidi bittorrent bl blas blender bloodsuckermaps bluray boost branding btrfs bugzilla bwscheduler bzip2 c++0x c++11 c++14 cacert cairo canna caps ccache cdda cdinstall cdparanoia cdr celt cgi cheats chm cilk clamav clang cli client cloudprint cmake collab collada colordiff contactnotes contacts context contrast contrib convert-mozilla-cookies corefonts cracklib cron crypt cryptography cryptsetup csc cscope css ctype cups curl custom-optimization cxx d d3d9 data dbus debug-frame declarative default-compiler-rt default-libcxx designer detex development devhelp device-mapper dga dhcp dia discouraged distinct-l djvu dmraid dns docbook doctool doom doomsday dos dot double-precision down-root downloadorder dri dri3 drm drmaa drmkms dtmf dts dv dvd dvdnav dvdr dvi dvipdfm ebook egl eigen elf elfutils embedded emboss emf emovix enca encode enscript epspdf epub ethernet evdev excel exceptions exif extensions extra extra-cardsets extra-ciphers extraengine faac faad facedetect faillog fam fancy farstream fastcgi fat fax fbcondecor fcgi fdk festival ffmpeg fftw filter finger firefox firmware fits flac flash flatfile flickr fluidsynth fontconfig fontforge fonts foomaticdb fortran fortran95 fortune fpx frei0r ftp fullscreen fuse gadu games gcj gd gdal gdbm gdml gegl geoclue geoip geolocation geonames geos ghcbootstrap gif gimp git gkrellm glade glamor glgd glib gltf glut gme gml gmp gmtfull gmttria gnome-online-accounts gnomecanvas gnuplot go gold google gopher gost gpac gpg gphoto2 gpm grammar graphics graphite graphviz grass groupwise gsf gsl gsm gstreamer gtk gtk3 gtkhtml gts gui guile gzip gzip-el h224 h281 h323 hash hbci hddtemp hdf hdf5 hdri help hesiod heterogeneous hexen high-ints highlight history hostip hou hpijs hscolour html htmlreport http httpd humanities hunspell hyphenation i18n ical iconv icq icu id3tag ide idea idn ieee1394 ignore-case image imagemagick imaging imap imlib importd inifile inkjar innodb-lz4 innodb-lzo innodb-snappy inotify introspection iostats iproute2 ipv6 ipython irc isag ithreads ivr jai java javascript jbig jit jmf john jpeg jpeg2k json kate kde kdecards kdenlive kdrive kernel kernel-patch keymap kipi kontact kpathsea kvm kwallet ladspa lame lapack lash lasi latex lcms ldap legacy-systray lensfun libass libburn libffi libkms liblockfile libnotify libssh2 libtiger libtirpc libv4l libvirt libvirtd libwww lightning lights live lldb llvm lm_sensors localstorage lock log log4j logrotate logviewer logwatch lqr lto lua lua-cairo lua-imlib lua-rsvg luatex lvm lxc lyrics lz4 lzma lzo mad mail maildir manhole manual map mapimg maps marble math mathml matplotlib matroska mbrola md5sum mdadm mdnsresponder-compat media mediaplayer mediawiki melt mercurial metadata-analysis-api metapost metis mhash midi mikmod mime minizip mixer mjpeg mmap mms mng mod modpack module modules mono mopac7 mount mozdom mozilla mp3 mp3tunes mp4 mpeg mpfr mpi_njtree mplayer mpqc mtp mudflap multilib multimedia multiprocess multiuser musepack music musicbrainz mysql mysqli na_dd na_dtv na_icons nano-syntax nat native-extensions natspec nbconvert ncat ncurses ndiff net nethack netpbm network network-cron networking networkmanager new-clx nfs nfsdcld nfsv4 nfsv41 nls nmap-update nntp nocd nominatim notebook nowin nowlistening nping npp nptl nsplugin nss nsscache nssdb ntfs ntfsprogs ntp numpy nut nuv nvtt oauth objc objc++ objc-gc ocr octave odbcmanual odf ofa offensive offlinehelp ofx ogg ogm okteta okular omega oom openal opencv openexr opengl openinventor openmax openmp openssl opensslcrypt optimization opus orc osc oscar osd osdmenu osgapps osmesa otr ots overlay pager pam pam_ssh pango paranoidmsg parcheck parse-clocks parted pbins pbs pci pcntl pcre pcre16 pdf pdfannotextractor pdl2 pdo pep8 perl pgm pgplot phonon phyp physfs pim pink pipe pkcs11 plasma player playlist plazes plotutils plugins png pnm policykit pop portage portmon positioning posix postfix postproc postscript ppds pptx printsupport proj projectm proprietary-codecs protobuf psf pstricks publishers pulseaudio pvr pygments python q16 q32 q64 q8 qalculate qd qemu qhull qml qnx qos qrcode qt3support qt5 qthelp qtmedia quesoglc quicktime quota qwt radio ramfs rar raw rc5 rcs readline redland regex remix remote rendering reports resources reviewboard rfc3779 rle rogue romio root rpc rpm rrdcgi rrdtool rss rtc rtf rtmp rtsp rubberband s3tc samba sasl sbcl scale0tilt scanner schroedinger science scipy scotch screen script scripting scripts scripttools scrypt sdk sdl sdl-image sdlgfx search search-index seccomp secure-delete semantic-desktop sensord sensors server session setproctitle setup sftp sha512 shadow shapefile sharedmem shm shmvideo shorten shout sift sigsegv sip sipim skins skydrive skype slp smime smp smpeg sms snappy sndfile snmp soap sockets socks sofalizer solver songs sou sound sounds soup sourceview sox spamassassin sparse spatialite speech speex spell sphinx spice sql sqlite srtp ssh ssh-agent ssl staging stars startup-notification statistics stats steamfonts steamgames_source_engine steamgames_tf2 steamgames_trine2 stream streaming subject-rewrite subtitles subunit subversion suexec suid svc svg swig symlink sync-plugin-portage syslog system-binutils system-boost system-cairo system-clang system-crontab system-ffmpeg system-icu system-jpeg system-jsoncpp system-libs system-libvpx system-libyaml system-llvm system-lua system-mupdf system-qemu system-qt system-renpy system-seabios system-sqlite system-tbb system-wine systemd systeminfo systemtap sysvipc szip t1lib taamey taglib tcl telepathy templates testbed tex4ht texi2html textures tga themes theora thesaurus threads threadsafe thumbnail thunar tidy tiff timezone tk tls tokenizer toolbar tools track-src-odirect transcode translator trayicon truetype tts tty-helpers tv_check tv_combiner tv_pick_cgi twolame udev udisks udunits umfpack uml unicode unicode_collation unique unzip upnp upower urandom urlpicpreview usb user-session utempter utils uudeview uuid v4l vamp vcd vcdx vde vdpau vdr verify-file video videos vimeo virgl virt-network virtfs virtualbox visio visual vlc vlm vnc voice vorbis vpx vserver vte vxml warmstarts wav wavpack weather weather-metar weather-xoap web webcam webchannel webdav webengine webinterface weboob webp webpresence webrtc webrtc-aec websockets webtools welcomepage wide-unicode widevine widgets wifi wiki winbind wineappdb wininst winpopup wma wma-fixed wmf wordperfect wpg wps wxwidgets wyfv x11extras x264 x265 xa xattr xcb xcomposite xdm-auth xerces-c xetex xface xforms xft xhtml xine xinerama xkb xml xmlpatterns xmlreader xmlrpc xmlwriter xmp xnest xorg xosd xpm xrandr xrender xslt xtended xterm xv xvfb xvid xvmc yahoo-geo youtube zeitgeist zeroconf zeromq zip zlib zmq zsh-completion zvbi" ABI_X86="64 32" ALSA_CARDS="intel8x0 intel8x0m pxa2xx-ac97 pxa2xx-soc hda-intel" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias cgi cgid authn_core authz_core unixd socache_shmcb lbmethod_bytraffic slotmem_shm" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" CURL_SSL="gnutls" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc efi-64" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" L10N="en en-US" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer nlpsolver pdfimport scripting-javascript wiki-publisher scripting-beanshell" LINGUAS="en en_US" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5 python3_6" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 ppc ppc64 ppc64abi32 x86_64" RUBY_TARGETS="ruby22 ruby23 ruby24" SANE_BACKENDS="canon canon630u canon_dr canon_pp hp hp3500 hp3900 hp4200 hp5400 hp5590 hpljm1005 hpsj5s net pnm" USERLAND="GNU" VIDEO_CARDS="r600 radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

=================================================================
                        Package Settings
=================================================================

sci-mathematics/pspp-0.10.2::gentoo was built with the following:
USE="cairo gtk ncurses nls -doc -emacs -examples -perl -postgres -static-libs" ABI_X86="(64)"
Comment 1 Attila Tóth 2017-12-21 20:23:18 UTC
pspp-1.0.1 compiles fine.
Comment 2 Andreas K. Hüttel gentoo-dev 2019-01-26 01:37:33 UTC
Version removed